> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create



## OpenAPI

````yaml api-reference/openapi.yaml post /api/v1/text_topic_theme_idea/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/text_topic_theme_idea/:
    post:
      tags:
        - Text Topic Theme Idea
      summary: Create
      operationId: text_topic_theme_idea_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TextTopicThemeIdea'
            examples:
              SimpleRequest:
                value:
                  text_topic_theme_id: cbd04970-efa7-400c-b645-baac76c5746b
                summary: Simple Request
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TextTopicThemeIdea'
              examples:
                SimpleRequest:
                  value:
                    text_topic_theme_id: cbd04970-efa7-400c-b645-baac76c5746b
                  summary: Simple Request
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    TextTopicThemeIdea:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        text:
          type: string
          nullable: true
        is_helpful:
          type: boolean
          nullable: true
        text_topic_theme_id:
          type: string
          format: uuid
      required:
        - id
        - text_topic_theme_id
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````